package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * DSL port configurations.
 */
@ApiModel(description = "DSL port configurations.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class DslSettings   {
  @JsonProperty("modulationType")
  private Integer modulationType;

  @JsonProperty("annexType")
  private Integer annexType;

  @JsonProperty("bitSwap")
  private Integer bitSwap;

  @JsonProperty("sra")
  private Integer sra;

  public DslSettings modulationType(Integer modulationType) {
    this.modulationType = modulationType;
    return this;
  }

  /**
   * Enter a value as follows: 0-Auto Sync-up, 2-ADSL2, 3-ADSL2+, 4-G.dmt, 5-T1.423, 6-VDSL2.
   * @return modulationType
  */
  @ApiModelProperty(value = "Enter a value as follows: 0-Auto Sync-up, 2-ADSL2, 3-ADSL2+, 4-G.dmt, 5-T1.423, 6-VDSL2.")


  public Integer getModulationType() {
    return modulationType;
  }

  public void setModulationType(Integer modulationType) {
    this.modulationType = modulationType;
  }

  public DslSettings annexType(Integer annexType) {
    this.annexType = annexType;
    return this;
  }

  /**
   * Enter a value as follows: 0-Annex Auto, 1-Annex A, 2-Annex B, 3-Annex I, 4-Annex J, 5-Annex M, 6-Annex A/L, 7-Annex B/J, 8-Annex A/I/J/L/M
   * @return annexType
  */
  @ApiModelProperty(value = "Enter a value as follows: 0-Annex Auto, 1-Annex A, 2-Annex B, 3-Annex I, 4-Annex J, 5-Annex M, 6-Annex A/L, 7-Annex B/J, 8-Annex A/I/J/L/M")


  public Integer getAnnexType() {
    return annexType;
  }

  public void setAnnexType(Integer annexType) {
    this.annexType = annexType;
  }

  public DslSettings bitSwap(Integer bitSwap) {
    this.bitSwap = bitSwap;
    return this;
  }

  /**
   * Enter a value as follows: 0-off, 1-on.
   * @return bitSwap
  */
  @ApiModelProperty(value = "Enter a value as follows: 0-off, 1-on.")


  public Integer getBitSwap() {
    return bitSwap;
  }

  public void setBitSwap(Integer bitSwap) {
    this.bitSwap = bitSwap;
  }

  public DslSettings sra(Integer sra) {
    this.sra = sra;
    return this;
  }

  /**
   * Enter a value as follows: 0-off, 1-on.
   * @return sra
  */
  @ApiModelProperty(value = "Enter a value as follows: 0-off, 1-on.")


  public Integer getSra() {
    return sra;
  }

  public void setSra(Integer sra) {
    this.sra = sra;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DslSettings dslSettings = (DslSettings) o;
    return Objects.equals(this.modulationType, dslSettings.modulationType) &&
        Objects.equals(this.annexType, dslSettings.annexType) &&
        Objects.equals(this.bitSwap, dslSettings.bitSwap) &&
        Objects.equals(this.sra, dslSettings.sra);
  }

  @Override
  public int hashCode() {
    return Objects.hash(modulationType, annexType, bitSwap, sra);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DslSettings {\n");
    
    sb.append("    modulationType: ").append(toIndentedString(modulationType)).append("\n");
    sb.append("    annexType: ").append(toIndentedString(annexType)).append("\n");
    sb.append("    bitSwap: ").append(toIndentedString(bitSwap)).append("\n");
    sb.append("    sra: ").append(toIndentedString(sra)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

